# std::__is_location_invariant< _Tp > Struct Template Reference

Inherits integral_constant< bool,(is_pointer< _Tp >::value||is_member_pointer< _Tp >::value)>.

Inherited by std::__is_location_invariant< _Simple_type_wrapper< _Tp > >.

## Detailed Description

### template<typename _Tp>
struct std::__is_location_invariant< _Tp >

Trait identifying "location-invariant" types, meaning that the address of the object (or any of its members) will not escape. Also implies a trivial copy constructor and assignment operator.

Definition at line 1432 of file functional.

The documentation for this struct was generated from the following file:

- functional